#ifndef JUEGO_H
#define JUEGO_H

#include <sys/time.h>

//Representa al juego
class Juego
{
	public:
		//Constructor
		Juego();
		//comienza el programa del juego		
		void empezar();	

	private:
		//empieza una nueva partida
		void jugar(int minutos);
		//muestra una operación
		void mostrarOperacion(int &n1, int &n2, int &operacion);
		//muestra el tiempo que queda
		void mostrarTiempo(int segundos);
		//comprueba si el resultado de la opración es correcto
		bool comprobarResultado(int n1, int n2, int operacion);
		//calcula la edad mental (usando un algoritmo super sofisticado...)
		int calcularEdad(int puntuacion);
		
		//factor de dificultad a sumar a los números de las operaciones
		int factorDificultad;
		//puntuación acumulada en la partida
		int puntuacion;
		//resultado del cálculo de la edad mental
		int edadMental;
		//variable auxiliar para el manejo del tiempo
		timeval start;
		//variable auxiliar para el manejo del tiempo
		timeval end;
};

#endif
